---
lang: en
title: 'API docs: mock-oauth2-provider.userrepository.createexternaluser'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/fixtures/mock-oauth2-provider
permalink: /doc/en/lb4/apidocs.mock-oauth2-provider.userrepository.createexternaluser.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/mock-oauth2-provider](./mock-oauth2-provider.md) &gt; [UserRepository](./mock-oauth2-provider.userrepository.md) &gt; [createExternalUser](./mock-oauth2-provider.userrepository.createexternaluser.md)

## UserRepository.createExternalUser() method

create profile for external user

**Signature:**

```typescript
createExternalUser(user: MyUser): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

user


</td><td>

[MyUser](./mock-oauth2-provider.myuser.md)


</td><td>


</td></tr>
</tbody></table>
**Returns:**

void


